/**
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Konstantin Svirsky aka crome <mailto:c@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.ge.robot;

/**
 *
 * @author crome
 */
public class Direction
{
    public static final int NORTH = 1;
    public static final int WEST  = 2;
    public static final int SOUTH = 4;
    public static final int EAST  = 8;

    public static final int NORTHANGLE = 90;
    public static final int WESTANGLE  = 180;
    public static final int SOUTHANGLE = 270;
    public static final int EASTANGLE  = 0;

    public static int getAngleByDirection(int direction)
    {
        switch (direction)
        {
            case Direction.NORTH:
                return Direction.NORTHANGLE;
            case Direction.WEST:
                return Direction.WESTANGLE;
            case Direction.SOUTH:
                return Direction.SOUTHANGLE;
            case Direction.EAST:
                return Direction.EASTANGLE;
        }

        return 0; // It is like Direction.WESTANGLE
    }

    public static int getDirectionByAngle(int angle)
    {
        switch (angle)
        {
            case Direction.EASTANGLE:

                return Direction.EAST;

            case Direction.NORTHANGLE:

                return Direction.NORTH;

            case Direction.WESTANGLE:

                return Direction.WEST;

            case Direction.SOUTHANGLE:

                return Direction.SOUTH;
        }

        return 0;
    }
}
