/**
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Konstantin Svirsky aka crome <mailto:c@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.ge.robot;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.image.BufferedImage;

import javax.swing.JPanel;

public class RobotPanel extends JPanel
{
    private static final long serialVersionUID = 1L;

    private int maxWidth  = 2000;
    private int maxHeight = 2000;

    protected Graphics2D g;
    protected BufferedImage b;

    public RobotPanel(int width, int height)
    {
        maxHeight = Math.max(height, maxHeight);
        maxWidth  = Math.max(width, maxWidth);

        b = new BufferedImage(maxWidth, maxHeight, BufferedImage.TYPE_INT_ARGB);
        g = (Graphics2D) b.getGraphics();
        g.setRenderingHint(RenderingHints.KEY_ANTIALIASING,
            RenderingHints.VALUE_ANTIALIAS_ON);
        g.setRenderingHint(RenderingHints.KEY_INTERPOLATION,
            RenderingHints.VALUE_INTERPOLATION_BILINEAR);
    }

    @Override
    public void paint(Graphics g)
    {
        int w = getSize().width;
        int h = getSize().height;

        g.drawImage(b, 0, 0, w, h, 0, 0, w, h, null);
    }

    public Graphics2D getGraphics2D()
    {
        return g;
    }

    public int getMaxWidth()
    {
        return maxWidth;
    }

    public int getMaxHeight()
    {
        return maxHeight;
    }
}
