/**
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Konstantin Svirsky aka crome <mailto:c@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.ge.turtle;

import by.informatics.jcx.fingy.lang.IntValue;
import by.informatics.jcx.fingy.lang.Value;

/**
 *
 * @author crome
 */
public enum TurtleConstants
{
    BLUE  ("BLUE",    IntValue.create(0x0000FF)),
    RED   ("RED",     IntValue.create(0xFF0000)),
    GREEN ("GREEN",   IntValue.create(0x00FF00)),
    BLACK ("BLACK",   IntValue.create(0x000000)),
    WHITE ("WHITE",   IntValue.create(0xFFFFFF)),
    YELLOW ("YELLOW", IntValue.create(0xFFFF00)),
    GRAY ("GRAY",     IntValue.create(0x999999)),
    ORANGE ("ORANGE", IntValue.create(0xFF9900)),
    MAGENTA("ORANGE", IntValue.create(0x990099)),
    CYAN     ("CYAN", IntValue.create(0x00FFFF)),
    ;

    public final String name;
    public final Value value;

    private TurtleConstants(String name, Value value)
    {
        this.name  = name;
        this.value = value;
    }
}
