/**
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Konstantin Svirsky aka crome <mailto:c@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.ge.turtle;

/**
 *
 * @author crome
 */
public enum TurtleFunction
{
    LIFTUPBELLY("pen_up"),
    LIFTDOWNBELLY("pen_down"),
    GOFORWARD("forward"),
    ISBELLYDOWN("is_pen_down"),
    DRAWPLOT("draw_plot"),
    DRAWTEXT("draw_text"),
    DRAWPICTURE("draw_picture"),
    GETTRACKCOLOR("get_pen_color"),
    SETTRACKCOLOR("set_pen_color"),
    TURTLEX("get_x"),
    TURTLEY("get_y"),
    TURTLEANGLE("get_angle"),
    TURNCLOCKWISE("right"),
    TURNCOUNTERCLOCKWISE("left"),
    ;

    public final String name;

    private TurtleFunction(String name)
    {
        this.name = name;
    }
}
