/**
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Konstantin Svirsky aka crome <mailto:c@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.ge.turtle;

import java.awt.Color;
import java.awt.Graphics2D;

public class TurtleTrack extends TurtleDrawableFigure
{

    private double  x1;
    private double  x2;
    private double  y1;
    private double  y2;
    private Color   color;

    public TurtleTrack(double x1, double y1, double x2, double y2, Color color)
    {
        this.x1 = x1;
        this.x2 = x2;
        this.y1 = y1;
        this.y2 = y2;
        this.color = color;
    }

    public double getX1()
    {
        return x1;
    }

    public double getX2()
    {
        return x2;
    }

    public double getY1()
    {
        return y1;
    }

    public double getY2()
    {
        return y2;
    }

    public void setX2(double x)
    {
        x2 = x;
    }

    public void setY2(double y)
    {
        y2 = y;
    }

    public void setX1(double x)
    {
        x1 = x;
    }

    public void setY1(double y)
    {
        y1 = y;
    }

    public Color getColor()
    {
        return color;
    }

    public void setColor(Color c)
    {
        color = c;
    }

    @Override
    public void draw(Graphics2D g, int xOffset, int yOffset)
    {
        int dx1 = (int) Math.round(x1) + xOffset;
        int dy1 = (int) Math.round(y1) + yOffset;
        int dx2 = (int) Math.round(x2) + xOffset;
        int dy2 = (int) Math.round(y2) + yOffset;

        g.setColor(color);
        g.drawLine(dx1, dy1, dx2, dy2);
    }
}
