/*
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Zhlobich Andrei <mailto:anjensan@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package by.informatics.jcx.fingy.ide;

import javax.swing.undo.UndoManager;
import javax.swing.undo.UndoableEdit;

/**
 * UndoManager with some fixes
 * @author Andrei Zhlobich
 */
public class MyUndoManager extends UndoManager {

    private static final long serialVersionUID = 1L;

    @Override
    protected UndoableEdit editToBeRedone() {
        UndoableEdit edit = super.editToBeRedone();
        if (edit == null) {
            return edits.isEmpty() ? null : edits.lastElement();
        }
        int i = edits.indexOf(edit) + 1;
        while (i < edits.size() && !edits.get(i).isSignificant()) {
            ++i;
        }
        return edits.get(i - 1);
    }
}
