/**
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Konstantin Svirsky aka crome <mailto:c@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.ide;

import javax.swing.undo.CannotRedoException;
import javax.swing.undo.CannotUndoException;
import javax.swing.undo.UndoableEdit;

public class MyUndoableEdit implements UndoableEdit
{
    private boolean significant = false;
    private UndoableEdit edit   = null;

    public MyUndoableEdit(UndoableEdit e, boolean isSignificant)
    {
        edit = e;
        significant = isSignificant;
    }

    @Override
    public boolean addEdit(UndoableEdit e)
    {
        return edit.addEdit(e);
    }

    @Override
    public boolean canRedo()
    {
        return edit.canRedo();
    }

    @Override
    public boolean canUndo()
    {
        return edit.canUndo();
    }

    @Override
    public void die()
    {
        edit.die();
    }

    @Override
    public String getPresentationName()
    {
        return edit.getPresentationName();
    }

    @Override
    public String getRedoPresentationName()
    {
        return edit.getRedoPresentationName();
    }

    @Override
    public String getUndoPresentationName()
    {
        return edit.getUndoPresentationName();
    }

    @Override
    public boolean isSignificant()
    {
        return significant;
    }

    @Override
    public void redo() throws CannotRedoException
    {
        edit.redo();
    }

    @Override
    public boolean replaceEdit(UndoableEdit e)
    {
        return edit.replaceEdit(e);
    }

    @Override
    public void undo() throws CannotUndoException
    {
        edit.undo();
    }

}
