/*
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Zhlobich Andrei <mailto:anjensan@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.lang;

public abstract class LangException extends Exception {

    private static final long serialVersionUID = 1L;
    private final int line;

    public LangException(int line) {
        super();
        this.line = line;
    }

    public LangException(int line, String message) {
        super(message);
        this.line = line;
    }

    public int getLineNumber() {
        return line;
    }

    public int getCharNumber() {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    public Interpreter getInterpreter() {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
