/*
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Zhlobich Andrei <mailto:anjensan@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.lang.modules;

public enum MathFunctionType {

    SIN,
    COS,
    TAN,
    ASIN,
    ACOS,
    ATAN,
    EXP,
    LN,
    LOG,
    SQRT,
    CEIL,
    FLOOR,
    POW     (2, true),
    MAX     (-1, false),
    MIN     (-1, false),
    ;

    public static final int ANY_ARGS_COUNT = -1;

    public final String name;
    public final int argcount;
    public final boolean real;

    private MathFunctionType(String name, Integer argcount, boolean realfunction) {
        this.name = name;
        this.argcount = argcount != null ? argcount.intValue() : ANY_ARGS_COUNT;
        this.real = realfunction;
    }

    private MathFunctionType(Integer argcount, boolean realfunction) {
        this.name = name().toLowerCase();
        this.argcount = argcount != null ? argcount.intValue() : ANY_ARGS_COUNT;
        this.real = realfunction;
    }

    private MathFunctionType() {
        this(1, true);
    }
}
