/*
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Zhlobich Andrei <mailto:anjensan@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.lang.parser;

public class ASTForInLoopSt extends ASTStatement {

    public final String variable;
    public final ASTExpr sequence;
    public final ASTStatement body;

    ASTForInLoopSt(
            Token t,
            String variable,
            ASTExpr sequence,
            ASTStatement body) {
        super(t);
        this.variable = variable;
        this.sequence = sequence;
        this.body = body;
    }

    @Override
    public void visit(Visitor visitor) {
        visitor.visit(this);
    }
}
