/*
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Zhlobich Andrei <mailto:anjensan@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.lang.vm;

import by.informatics.jcx.fingy.lang.BoolValue;
import by.informatics.jcx.fingy.lang.IntValue;
import by.informatics.jcx.fingy.lang.NullValue;
import by.informatics.jcx.fingy.lang.StringValue;
import by.informatics.jcx.fingy.lang.Value;

enum Const {
    NULL    (NullValue.NULL),
    TRUE    (BoolValue.create(true)),
    FALSE   (BoolValue.create(false)),
    ESTR    (StringValue.create("")),
    ONE     (IntValue.create(1)),
    ZERO    (IntValue.create(0)),
    ;

    Value constValue;

    Const(Value value) {
        constValue = value;
    }
}
