/*
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Zhlobich Andrei <mailto:anjensan@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.lang.vm;

class NullCodeGenerator extends AbstractCodeGenerator {

    @Override
    public void start() {
        // do nothing
    }

    @Override
    public void finish() {
        // do nothing
    }

    @Override
    public void addOp(Operation op) {
        // do nothing
    }

    @Override
    public void addOp(Operation op, int arg) {
        // do nothing
    }

    @Override
    public void setLabel(ArgCodeProvider label) {
        // do nothing
    }

    public void addOp(Operation op, Object arg) {
        // do nothing
    }

    public ArgCodeProvider newLabel() {
        return null;
    }

    public void addOp(Operation op, ArgCodeProvider arg) {
        // do nothing
    }
}
