/*
 *  Fingy. Educational programming environment for children.
 *  Copyright (C) 2010.  Zhlobich Andrei <mailto:anjensan@informatics.by>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package by.informatics.jcx.fingy.lang.vm;

class UserFunction {

    public final int argsCount;
    public final VarPool parentVP;
    public final VMCode code;

    public UserFunction(int argsCount, VarPool parentVP, VMCode code) {
        this.argsCount = argsCount;
        this.parentVP = parentVP;
        this.code = code;
    }

    public VarPool createVarPool() {
        return code.vpb.createVarPool(parentVP);
    }

    @Override
    public String toString() {
        return "<function>";
    }
}
